<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackStateData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_track_state_data.html">TrackStateData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_track_state_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackStateData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2044a34486e38724b5a95e6edb472967"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_data.html#a2044a34486e38724b5a95e6edb472967">location</a></td></tr>
<tr class="memdesc:a2044a34486e38724b5a95e6edb472967"><td class="mdescLeft">&#160;</td><td class="mdescRight">The location of the track state.  <a href="#a2044a34486e38724b5a95e6edb472967">More...</a><br /></td></tr>
<tr class="separator:a2044a34486e38724b5a95e6edb472967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6188d17e65916c7f01bb56648f863cf"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_data.html#ab6188d17e65916c7f01bb56648f863cf">d0</a></td></tr>
<tr class="memdesc:ab6188d17e65916c7f01bb56648f863cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Impact parameter of the track in (r-phi).  <a href="#ab6188d17e65916c7f01bb56648f863cf">More...</a><br /></td></tr>
<tr class="separator:ab6188d17e65916c7f01bb56648f863cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc4f68304748e87167b6e54a60a0eb2"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_data.html#a1fc4f68304748e87167b6e54a60a0eb2">phi</a></td></tr>
<tr class="memdesc:a1fc4f68304748e87167b6e54a60a0eb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Phi of the track at the reference point.  <a href="#a1fc4f68304748e87167b6e54a60a0eb2">More...</a><br /></td></tr>
<tr class="separator:a1fc4f68304748e87167b6e54a60a0eb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a2de5a63e5aa2f0d5d60f2182271f39"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_data.html#a6a2de5a63e5aa2f0d5d60f2182271f39">omega</a></td></tr>
<tr class="memdesc:a6a2de5a63e5aa2f0d5d60f2182271f39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Omega is the signed curvature of the track in [1/mm].  <a href="#a6a2de5a63e5aa2f0d5d60f2182271f39">More...</a><br /></td></tr>
<tr class="separator:a6a2de5a63e5aa2f0d5d60f2182271f39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31d6fae15509d30728ae39f637bac0ee"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_data.html#a31d6fae15509d30728ae39f637bac0ee">z0</a></td></tr>
<tr class="memdesc:a31d6fae15509d30728ae39f637bac0ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Impact parameter of the track in (r-z).  <a href="#a31d6fae15509d30728ae39f637bac0ee">More...</a><br /></td></tr>
<tr class="separator:a31d6fae15509d30728ae39f637bac0ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03739d2c99c5c5aa2c52f70fe40485c2"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_data.html#a03739d2c99c5c5aa2c52f70fe40485c2">tanLambda</a></td></tr>
<tr class="memdesc:a03739d2c99c5c5aa2c52f70fe40485c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lambda is the dip angle of the track in r-z at the reference point.  <a href="#a03739d2c99c5c5aa2c52f70fe40485c2">More...</a><br /></td></tr>
<tr class="separator:a03739d2c99c5c5aa2c52f70fe40485c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1935a4a9ae2fa587d26e449925624e91"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 3 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state_data.html#a1935a4a9ae2fa587d26e449925624e91">referencePoint</a></td></tr>
<tr class="memdesc:a1935a4a9ae2fa587d26e449925624e91"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference point of the track parameters.  <a href="#a1935a4a9ae2fa587d26e449925624e91">More...</a><br /></td></tr>
<tr class="separator:a1935a4a9ae2fa587d26e449925624e91"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC track state </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_track_state_data_8h_source.html#l00015">15</a> of file <a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="ab6188d17e65916c7f01bb56648f863cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6188d17e65916c7f01bb56648f863cf">&#9670;&nbsp;</a></span>d0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::TrackStateData::d0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Impact parameter of the track in (r-phi). </p>

<p class="definition">Definition at line <a class="el" href="_track_state_data_8h_source.html#l00018">18</a> of file <a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_const_8cc_source.html#l00020">eic::ConstTrackState::ConstTrackState()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00053">eic::ConstTrackState::d0()</a>, <a class="el" href="_track_state_8cc_source.html#l00055">eic::TrackState::d0()</a>, and <a class="el" href="_track_state_8cc_source.html#l00020">eic::TrackState::TrackState()</a>.</p>

</div>
</div>
<a id="a2044a34486e38724b5a95e6edb472967"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2044a34486e38724b5a95e6edb472967">&#9670;&nbsp;</a></span>location</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int eic::TrackStateData::location</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The location of the track state. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_data_8h_source.html#l00017">17</a> of file <a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_const_8cc_source.html#l00020">eic::ConstTrackState::ConstTrackState()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00052">eic::ConstTrackState::location()</a>, <a class="el" href="_track_state_8cc_source.html#l00054">eic::TrackState::location()</a>, and <a class="el" href="_track_state_8cc_source.html#l00020">eic::TrackState::TrackState()</a>.</p>

</div>
</div>
<a id="a6a2de5a63e5aa2f0d5d60f2182271f39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a2de5a63e5aa2f0d5d60f2182271f39">&#9670;&nbsp;</a></span>omega</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::TrackStateData::omega</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Omega is the signed curvature of the track in [1/mm]. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_data_8h_source.html#l00020">20</a> of file <a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_const_8cc_source.html#l00020">eic::ConstTrackState::ConstTrackState()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00055">eic::ConstTrackState::omega()</a>, <a class="el" href="_track_state_8cc_source.html#l00057">eic::TrackState::omega()</a>, and <a class="el" href="_track_state_8cc_source.html#l00020">eic::TrackState::TrackState()</a>.</p>

</div>
</div>
<a id="a1fc4f68304748e87167b6e54a60a0eb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fc4f68304748e87167b6e54a60a0eb2">&#9670;&nbsp;</a></span>phi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::TrackStateData::phi</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Phi of the track at the reference point. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_data_8h_source.html#l00019">19</a> of file <a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_const_8cc_source.html#l00020">eic::ConstTrackState::ConstTrackState()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00054">eic::ConstTrackState::phi()</a>, <a class="el" href="_track_state_8cc_source.html#l00056">eic::TrackState::phi()</a>, and <a class="el" href="_track_state_8cc_source.html#l00020">eic::TrackState::TrackState()</a>.</p>

</div>
</div>
<a id="a1935a4a9ae2fa587d26e449925624e91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1935a4a9ae2fa587d26e449925624e91">&#9670;&nbsp;</a></span>referencePoint</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt;float, 3&gt; eic::TrackStateData::referencePoint</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reference point of the track parameters. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_data_8h_source.html#l00023">23</a> of file <a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_const_8cc_source.html#l00020">eic::ConstTrackState::ConstTrackState()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00058">eic::ConstTrackState::referencePoint()</a>, <a class="el" href="_track_state_8cc_source.html#l00060">eic::TrackState::referencePoint()</a>, and <a class="el" href="_track_state_8cc_source.html#l00020">eic::TrackState::TrackState()</a>.</p>

</div>
</div>
<a id="a03739d2c99c5c5aa2c52f70fe40485c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03739d2c99c5c5aa2c52f70fe40485c2">&#9670;&nbsp;</a></span>tanLambda</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::TrackStateData::tanLambda</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Lambda is the dip angle of the track in r-z at the reference point. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_data_8h_source.html#l00022">22</a> of file <a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_const_8cc_source.html#l00020">eic::ConstTrackState::ConstTrackState()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00057">eic::ConstTrackState::tanLambda()</a>, <a class="el" href="_track_state_8cc_source.html#l00059">eic::TrackState::tanLambda()</a>, and <a class="el" href="_track_state_8cc_source.html#l00020">eic::TrackState::TrackState()</a>.</p>

</div>
</div>
<a id="a31d6fae15509d30728ae39f637bac0ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31d6fae15509d30728ae39f637bac0ee">&#9670;&nbsp;</a></span>z0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::TrackStateData::z0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Impact parameter of the track in (r-z). </p>

<p class="definition">Definition at line <a class="el" href="_track_state_data_8h_source.html#l00021">21</a> of file <a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_const_8cc_source.html#l00020">eic::ConstTrackState::ConstTrackState()</a>, <a class="el" href="_track_state_8cc_source.html#l00020">eic::TrackState::TrackState()</a>, <a class="el" href="_track_state_const_8cc_source.html#l00056">eic::ConstTrackState::z0()</a>, and <a class="el" href="_track_state_8cc_source.html#l00058">eic::TrackState::z0()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_track_state_data_8h_source.html">TrackStateData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
